#Erweiterung von Nikolai Schwechten 09.12.2025
#Änderungsstand 09.12.2025, 15:02h




# Hier werden Muster definiert für Texte die NICHT in die Excel Datei geschrieben werden sollen
[ignore_pattern_wildcard]
# Wildcard-Muster für Texte 
# Ein Muster pro Zeile
# Wildcards: * (mehrere Zeichen), ? (ein Zeichen)
# Format: pattern_name = muster

# Häufige technische Abkürzungen und Codes
#layer = LAYER=*
#special = %%*

# Koordinaten und technische Angaben
coord_x = X=*
coord_y = Y=*
coord_z = Z=*
KR_code = KR-M*



[ignore_pattern_regex]
# Reguläre Ausdrücke für Texte die NICHT in die Excel Datei geschrieben werden sollen
# Ein Ausdruck pro Zeile (Python regex Syntax)
# Format: pattern_name = regex

# Dezimalzahl mit Punkt oder Komma
#decimal_number = ^-?\d+([.,]\d+)?$
#pos_decimal_number = ^\+?\d+([.,]\d+)?$
# Prozentangaben
#percent = ^-?\d+([.,]\d+)?\s*%$

# Angaben wie =A1 +AB12 oder =A2+UZ304

#Auskommentiert nach Problemen wie "Sicherung =A01+UC0110 gefallen"
#anlagen_nr = ^=A\d\s*\+[A-Z]{2}\d+ 
#anlagen_nr3 = ^=A\d\+UZ\d{3} 


# Zeichen von A bis F als einzelnes Zeichen
#Auskommentiert nach Problemen
#ein_zeichen = ^[A-F]$

#Auskommentiert nach Problemen
# A.1 bold
#single_letters = ^\\f.*;[A-Z]\.\d$
#Auskommentiert nach Problemen
#AX = ^[A]\d$
#ILSCV = ^ILS-CV\\PM\d{4}$
#B.1 = B.\d
#C.1 = C.\d
#WS_1.x = WS \d.\d
# # Blöcke wie BLOCK 1.1.2
# BLOCK_3 = ^BLOCK \d\.\d(\.\d)?$
# BLOCK_2 = ^BLOCK \d\.\d$
# BLOCK_1 = ^BLOCK \d\$

# Technische Angaben
#h1875 = ^\\H1.875x
#h1875ff = ^\\H1.875x;.*$
#millimeter = ^\d+\s*mm$
#m_numbers = ^M\d{3}$

# Koordinaten mit Pfeilen
coord_arrows = ^\+\d{1,3}(?:[.,]\d{3})\s*(?:<<<|>>>)\s*\+\d{1,3}(?:[.,]\d{3})$
coord_arrows_generell_ignorieren = <<<|>>>

#Folgende Auskommentiert da Probleme mit Bezeichnungen wie "Feedback Hauptschütze Aktiv +UC0110"
#uc4 = ^\+UC\d{4}
#ax_uc4 = ^=A\d\+UC\d{2,4}
#ax_uz4 = ^=A\d\+UZ\d{2,4}
#ax_uh4 = ^=A\d\+UH\d{2,4}
#a0x_uz1= ^=A01\+UZ\d+
#a0x_uc4 = ^=A0\d\+UC\d{2,4}
#a0x_uz4 = ^=A\d\+UZ\d{2,4}
#a0x_uh4 = ^=A\d\+UH\d{2,4}

#Auskommentiert nach Problemen
#pxqc_patterns = ^\\pxqc; =A0[1-9]\+UC\d{2,4}$
#pxqc_patterns2 = ^\\pxqc; =A1\+UC\d{2,4}$ 
#pxqc_patterns3 = ^\\pxqc; =A1\+UH\d{2,4}$

ip_adress = ^.*;(\d{1,3}\.){3}\d{1,3}$

# TUNNEL Bezeichnungen wie \fArial TUNNEL12-3456
tunnel = ^\\fArial.*TUNNEL\d+-\d{4}$

kw_A = ^\d+\s*KW\s*-\s*\d+\s*A$


[symbol_attribute]
# Zuordnung von Sprachcodes zu Block-Attributnamen für Texte
# Format: SPRACHCODE = TEXT-ATTRIBUTNAME
# Diese Zuordnung wird verwendet um die richtigen Attribute aus DXF-Blöcken zu lesen/schreiben
DE = TEXT-D
EN = TEXT-E
ES = TEXT-ES
FR = TEXT-F
CS = TEXT-CS

[symbol_layer]
DE = 0-0_TEXT-D
EN = 0-0_TEXT-E
ES = 0-0_TEXT-ES
FR = 0-0_TEXT-F
CS = 0-0_TEXT-CS
